# System.Environment

DocTest : System Namespace

# Environment Class

Documentation for this section has not yet been entered.

## Syntax

public static class Environment

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: System
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0

## Members

See Also: Inherited members from object.

## Public Methods

static

GetFolderPath (Environment.SpecialFolder) : string

> Documentation for this section has not yet been entered.

static

IsAligned<T> (this T[], int) : bool

> Documentation for this section has not yet been entered.

## Member Details

### GetFolderPath Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static string GetFolderPath (Environment.SpecialFolder folder)

> #### Parameters

> > folder
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > NotSupportedException | Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: System
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### IsAligned<T> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static bool IsAligned<T> (this T[] vect, int index)
> where T : struct

> #### Type Parameters

> > T
> >   Documentation for this section has not yet been entered.

> #### Parameters

> > vect
> >   Documentation for this section has not yet been entered.
> > index
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: System
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0